> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create event for an applicant

POST https://api.propexo.com/v1/events/applicants
Content-Type: application/json

Create an applicant event for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/events/create-event-for-an-applicant

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_events_applicants_post_input.

- `integration_id` (string, required)
- `applicant_id` (string, optional) — The Propexo unique identifier for the applicant
- `event_type` (enum, optional, default: Note) — The type of event
  - Allowed values: `Note`
- `notes` (string, optional) — Notes associated with the event
- `application_id` (string, optional) — The Propexo unique identifier for the application
- `event_type_id` (string, optional) — The Propexo unique identifier for the event type
- `event_result_id` (string, optional) — The Propexo unique identifier for the event result
- `event_sub_type_id` (string, optional) — The Propexo unique identifier for the event sub type
- `employee_id` (string, optional) — The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT
- `unit_id` (string, optional) — The Propexo unique identifier for the unit. Only some PMS events use this, including "Show" and "Appointment"
- `event_datetime` (string, optional) — The date when the event will occur
- `reasons_for_event` (string, optional) — The reasons for the event
- `appointment_datetime` (string, optional) — The date when the appointment will occur
- `time_from` (string, optional)
- `time_to` (string, optional)
- `title` (string, optional) — The title associated with the event
- `call_phone_number_from` (string, optional) — The phone number that the call was made from. Required for call event types.
- `call_phone_number_to` (string, optional) — The phone number that the call was received on. Required for call event types.
- `call_status` (enum, optional) — The status of the call. Required for call event types.
  - Allowed values: `BUSY`, `ABANDONED`, `DISCONNECTED`, `FAILURE_TO_CONNECT`, `NO_ANSWER`, `ANSWER`, `VOICEMAIL`
- `call_duration` (integer, optional) — The duration of the call in seconds. Required for call event types.
- `call_audio_link` (string, optional) — The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.
- `email_body` (string, optional) — The body of the email.
- `email_subject` (string, optional) — The subject of the email.
- `email_from` (string, optional) — The email address that the email was sent from. Required for email outgoing event types.
- `email_to` (string, optional) — The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address
- `email_cc` (string, optional) — The carbon copy email address that the email was sent to.
- `email_bcc` (string, optional) — The blind carbon copy email address that the email was sent to.
- `email_send` (boolean, optional) — Whether the email should be sent.
- `status` (enum, optional) — The raw status associated with the event
  - Allowed values: `COMPLETED`, `OPEN`, `REVIEW`, `DENIED`
- `event_name` (enum, optional) — The name or type of event
  - Allowed values: `CallToProspect`, `CallFromProspect`, `Other`, `WalkIn`, `Chat`, `Email`, `Webservice`, `Appointment`, `Show`, `Application`, `SelfGuidedTour`, `Application`, `Approve`, `CancelApplication`, `ApplicationDenied`, `Hold`, `CancelAppointment`, `LeaseSign`, `Release`, `ReturnVisit`
- `agent_name` (string, optional) — The name of the leasing agent associated with the event
- `rent_amount_in_cents` (double, optional) — The rent amount in cents for the event. Required for LeaseSign event

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1EventsApplicantsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsApplicantsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/applicants"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/applicants';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/applicants"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/applicants")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/events/applicants")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/events/applicants', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/applicants");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/applicants")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```